---
title: "Orders"
description: "Orders: List orders, Get an order, Attach assets to order, Detach assets from order, Notify order."
url: https://docs.filemonk.io/api-reference/orders/
api: "API v1 reference"
---

# Orders

## The order object

- `order` (object)
  - `id` (string): Unique order identifier
  - `name` (string): Order name/number (e.g. &quot;#1001&quot;)
  - `email` (string): Customer email address
  - `phone` (string, nullable): Customer phone number
  - `financial_status` (string, nullable): Financial status of the order One of: `paid`, `pending`, `partially_paid`, `partially_refunded`, `refunded`, `voided`, `authorized`.
  - `fulfillment_status` (string, nullable): Fulfillment status of the order
  - `total_price` (string, nullable): Total price of the order
  - `currency` (string, nullable): Currency code (ISO 4217)
  - `created_at` (string): When the order was created in Shopify
  - `download_count` (integer): Total number of downloads for this order

```json
{
  "order": {
    "id": "3e84eb8d-e1d9-4e92-a4b2-a419c7f1122f",
    "name": "#1001",
    "email": "customer@example.com",
    "phone": "+1234567890",
    "financial_status": "paid",
    "fulfillment_status": "fulfilled",
    "total_price": "29.99",
    "currency": "USD",
    "created_at": "2026-01-15T09:30:00Z",
    "download_count": 5
  }
}
```

## Endpoints

- `GET /orders`: [List orders](https://docs.filemonk.io/api-reference/orders/list-orders.md)
- `GET /orders/{id}`: [Get an order](https://docs.filemonk.io/api-reference/orders/get-order.md)
- `POST /orders/{id}/attach_assets`: [Attach assets to order](https://docs.filemonk.io/api-reference/orders/upload-to-order.md)
- `DELETE /orders/{id}/detach_assets`: [Detach assets from order](https://docs.filemonk.io/api-reference/orders/detach-assets.md)
- `POST /orders/{id}/notify`: [Notify order](https://docs.filemonk.io/api-reference/orders/notify-order.md)
